plugins {
	id 'org.springframework.boot' version '2.5.14'
	id 'io.spring.dependency-management' version '1.0.11.RELEASE'
	id 'java'
	id 'war'
}

bootJar.enabled = true
jar.enabled = false

// WAS, 톰캣에 배포 시 BOOT 실행 요소 제거 배포
bootWar.enabled = false
war.enabled = true

ext['logback.version'] = '1.2.10'
group = 'com.eactive'
version = '1.0.3'
sourceCompatibility = '1.8'


configurations {
	annotationProcessor
}

compileJava {
	options.annotationProcessorPath = configurations.annotationProcessor
	options.encoding = 'UTF-8'
}

repositories {
	mavenCentral()
}

dependencies {
	annotationProcessor "org.mapstruct:mapstruct-processor:1.5.3.Final"

	implementation 'org.mapstruct:mapstruct:1.5.3.Final'
	implementation 'org.springframework.boot:spring-boot-starter-data-jpa'
	implementation 'org.springframework.data:spring-data-envers'
	implementation 'org.springframework.boot:spring-boot-starter-web'
	implementation 'org.springframework.boot:spring-boot-starter-validation'
	implementation 'org.springframework.boot:spring-boot-starter-thymeleaf'
	implementation 'org.springframework.boot:spring-boot-starter-security'
	implementation 'nz.net.ultraq.thymeleaf:thymeleaf-layout-dialect'
	implementation 'org.thymeleaf.extras:thymeleaf-extras-springsecurity5'
	implementation 'com.navercorp.lucy:lucy-xss-servlet:2.0.1'

	implementation 'io.springfox:springfox-boot-starter:3.0.0'
	implementation 'org.apache.httpcomponents:httpclient:4.5.14'
	

	implementation 'org.apache.commons:commons-lang3:3.12.0'
	implementation 'commons-io:commons-io:2.11.0'
	implementation 'com.jayway.jsonpath:json-path:2.8.0'
	implementation 'io.netty:netty-all:4.1.92.Final'
	implementation ('commons-beanutils:commons-beanutils:1.9.4') {
		exclude group: 'commons-collections', module: 'commons-collections'
	}
	runtimeOnly 'com.h2database:h2:1.4.200'
	implementation 'org.mdkt.compiler:InMemoryJavaCompiler:1.3.0'
	testImplementation 'org.springframework.boot:spring-boot-starter-test'
}

test {
	useJUnitPlatform()
}
